Rudiments

- Main Page
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
filedestination Class Reference

Inherits logdestination.

## Public Member Functions
| filedestination ()
| filedestination (const filedestination &f)
filedestination & | operator= (const filedestination &f)
virtual | ~filedestination ()
bool | open (const char *filename, mode_t perms)
void | close ()

## Detailed Description

The filedestination class writes log data to a file.

## Constructor & Destructor Documentation

filedestination::filedestination | ( |  | ) |

Creates an instance of the filedestination class.

filedestination::filedestination | ( | const filedestination & | f | ) |

Creates an instance of the filedestination class that is a copy of "f".

virtual filedestination::~filedestination | ( |  | ) |
| virtual

Deletes this instance of the filedestination class.

## Member Function Documentation

void filedestination::close | ( |  | ) |

Closes the file as a logging destination.

bool filedestination::open | ( | const char * | filename,
|  | mode_t | perms
| ) |  |

Opens file "filename" as a logging destination with "perms" permissions.

filedestination& filedestination::operator= | ( | const filedestination & | f | ) |

Makes this instance of the filedestination class identical to "f".